## fuseiso 20070708

=== debian/changelog ===
fuseiso (20070708-8) unstable; urgency=medium

  [ наб ]
  * Finish fuseiso9660 transition.
    - d/control:
      - drop fuseiso9660 package.
      - fuseiso Provides: fuseiso9660.
    - d/rules: remove fuseiso9660 support code.
    - d/salsa-ci.yml: reintroduce SALSA_CI_DISABLE_BUILD_PACKAGE_ALL.

 -- Sven Geuer <sge@debian.org>  Fri, 22 Aug 2025 18:46:29 +0200

fuseiso (20070708-7) unstable; urgency=medium

  * d/t/*:
    - Extend test to verify fuseiso allows for spaces in file names.
    - Let xorriso write localtime timestamps.
  * d/p/*: Add patch to correct calculation of block count (Closes: #1104465).
  * d/t/*: Extend test to check fix to bug #1104465.
  * d/copyright: Bump years to 2025 where required.
  * d/control: Bump Standards-Version to 4.7.2.

 -- Sven Geuer <sge@debian.org>  Thu, 01 May 2025 21:15:26 +0200

fuseiso (20070708-6) unstable; urgency=medium

  * d/p/*: As a dependency, replace genisoimage with the more modern xorriso.
  * Allow one to place FUSE options before arguments (Closes: #1083034).
    - d/p/fuse-options-before-arguments.patch: added.
    - d/t/create-mount-check-iso: Extend the test to cover various FUSE options
      before and after the arguments.
    - d/fuseiso.1:  Revise manpage regarding FUSE options and modernize it in
      general.
  * Extend the package to replace and provide fuseiso9660 (Closes: #1085688).
    - d/control: Add transitional package fuseiso9660.
    - d/rules: Make sure all artefacts go into debian/fuseiso.
    - d/fuseiso.links: added to support calls to the binary and manual page of
      fuseiso9660.
    - d/t/create-mount-check-iso: Extend test to also check calling the
      fuseiso9660 binary.
    - d/salsa-ci.yml: Drop the SALSA_CI_DISABLE_BUILD_PACKAGE_ALL variable.
  * A big thankyou goes to наб <nabijaczleweli@nabijaczleweli.xyz> who
    motivated me to do this release by raising the bugs mentioned above and
    by contributing a number of patches.

 -- Sven Geuer <sge@debian.org>  Tue, 29 Oct 2024 16:51:25 +0100

fuseiso (20070708-5) unstable; urgency=medium

  * d/control: Move from fuse to fuse3 (Closes: #1084486).
    - Build-Depends: libfuse-dev -> libfuse3-dev
    - Depends: fuse -> fuse3
  * d/p/*:
    - Add fuse3.patch.
    - Add symlink-size.patch. Thanks to наб <nabijaczleweli@nabijaczleweli.xyz>
      for providing the patch (Closes: #1083039).
    - Drop numeral prefixes from the rest of the patch file names.
  * d/t/*: Extend test to check the fix to bug #1083039.

 -- Sven Geuer <sge@debian.org>  Fri, 18 Oct 2024 14:18:25 +0200

fuseiso (20070708-4) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Sven Geuer ]
  * d/control:
    - Adopt package setting Maintainer to myself (Closes: #1070970).
    - Switch to DH compat format and raise level to 13; consequently drop
      d/compat.
    - Drop Build-Depends on autotools-dev.
    - Update Homepage field (Closes: #980815).
    - Bump Standards-Version to 4.7.0.
    - Change Section field from 'admin' to 'otherosfs'.
    - Add 'Rules-Requires-Root: no'.
    - Apply 'wrap-and-sort -at'.
  * d/rules:
    - Drop autotools_dev option from the call to dh.
    - Drop setting LDFLAGS so that the DH defaults get applied.
    - Enable all hardening options available for ELF binaries.
  * d/p/*:
    - Import 04-cross.patch to fix FTCBFS (Closes: #877088). Thanks to
      Helmut Grohne <helmut@subdivi.de> for providing the patch.
      Also fixes building with DH level > 9.
    - Add a DEP-3 header to 04-cross.patch.
    - Import and extend 05-infinite-loop-parsing-line-options-on-arm.patch
      which fixes fuseiso for architectures regarding char as unsigned
      (LP: #1661289). Thanks to Dan Andresan <dan.andresan@enea.com> for
      providing the initial patch.
    - Polish headers and add 'Forwarded: not-needed' with all other patches.
  * d/watch:
    - Update to version 4 and rework it.
  * d/u/metadata:
    - Add upstream metadata.
  * d/copyright:
    - Fix lintian issues, add linux/* stanza, add years and copyright holders.
  * d/gbp.conf:
    - Introduce gbp configuration file.
  * d/salsa-ci.yml:
    - Introduce Salsa-Ci configuration file.
  * d/t/*:
    - Introduce autopkgtests.
  * d/changlog:
    - Wrap too long line in previous changelog entry.

 -- Sven Geuer <sge@debian.org>  Tue, 17 Sep 2024 22:37:37 +0200

fuseiso (20070708-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches (Closes: #779047):
    + Add 02-prevent-buffer-overflow.patch. Prevent stack-based buffer overflow
      when concatenating strings to an absolute path name. Prevention is done
      by checking that the result will stay under the maximum path length as
      given by the platforms PATH_MAX constant.
    + Add 03-prevent-integer-overflow.patch. Prevent integer overflow in ZISO
      code. Bail out if a ZF block size > 2^17 is to be read.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 01 Oct 2015 11:27:12 +0200

fuseiso (20070708-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  [Colin Watson]
  * Use the autotools-dev dh addon to update config.guess/config.sub for new
    ports. (Closes: #727828)

 -- Peter Michael Green <plugwash@debian.org>  Thu, 02 Oct 2014 00:46:49 +0000

fuseiso (20070708-3) unstable; urgency=low

  * Renamed dependency from fuse-utils to fuse (Closes: #689009)
  * Fixed typo in sourcecode (Closes: #598021)
  * Updated years in debian/copyright

 -- David Paleino <dapal@debian.org>  Tue, 25 Dec 2012 08:47:20 +0100

fuseiso (20070708-2) unstable; urgency=low

  * Maintenance release
  * debian/control:
    - moved old Homepage pseudo-field into the new field in the source
      stanza
    - added Vcs-Git and Vcs-Browser fields
    - Standards-Version bumped to 3.8.4
    - removed Build-Depends on manpage-generation tools
    - updated my e-mail address
    - debhelper dependency bumped to 7
  * debian/rules:
    - rewritten to use dh7

