=== debian/control ===
Source: fuseiso
Section: otherosfs
Priority: optional
Maintainer: Sven Geuer <sge@debian.org>
Build-Depends: debhelper-compat (= 13),
               libfuse3-dev (>= 3.14.0),
               libglib2.0-dev,
               zlib1g-dev,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://sourceforge.net/projects/fuseiso/
Vcs-Git: https://salsa.debian.org/debian/fuseiso.git
Vcs-Browser: https://salsa.debian.org/debian/fuseiso

Package: fuseiso
Architecture: any
Breaks: fuseiso9660 (<< 20070708-6~)
Replaces: fuseiso9660 (<< 20070708-6~)
Provides: fuseiso9660
Depends: fuse3 (>= 3.14.0),
         ${misc:Depends},
         ${shlibs:Depends},
Description: FUSE module to mount ISO filesystem images
 This package provides a module to mount ISO filesystem images
 using FUSE.
 With FUSE it is possible to implement a fully functional
 filesystem in a userspace program.
 .
 It can also mount single-tracks .BIN, .MDF, .IMG and .NRG.
