=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure lintian does not complain about missing hardenings
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@
