=== debian/tests/control ===
Tests: create-mount-check-iso
Depends: xorriso,
         tree,
         @,
Restrictions: isolation-machine
