=== debian/watch ===
version=4
https://ubiz.ru/dm/ \
fuseiso-@ANY_VERSION@@ARCHIVE_EXT@
# Alternative upstream providing only version 20070708
#https://sf.net/fuseiso/ \
#fuseiso-@ANY_VERSION@@ARCHIVE_EXT@
